2018-12-12 07:09 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005327Spring engineGeneralpublic2018-11-27 17:06
Reporterraaar 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version104.0 +git 
Summary0005327: construction aircraft turn away from target
Descriptionwhen they are ordered to build/repair/etc. something, construction aircraft turn away from target instead of toward it.

This happens sometimes, and more with some units than others. Sometimes it turns in the wrong direction near the point where it got within distance, then it corrects itself. Other times it turns away after getting within build distance and starting to build.
Steps To Reproduce- spawn a construction aircraft
- order it to build something away from it such that it's forced to move a at least a bit

(repeat, give it different targets)
Additional Informationnote: this happens on spring 100.0, haven't checked 103.0 yet
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016589

raaar (reporter)

note, the reproducibility is "sometimes" instead of "have not tried".

~0016590

raaar (reporter)

Last edited: 2016-08-01 02:14

View 3 revisions

I've tried 103.0, and so far i've been unable to reproduce the "turn away" bug on that version.

Unfortunately, there are other issues on 103.0:
- builder moves into position and starts building, but moves further to position directly above target after a few seconds (most of the time)
- builder hovers above target but doesn't start construction (rarely)

~0016591

raaar (reporter)

hmm....on 100.0, the aircraft will turn away but correct itself if given the default airhoverfactor, so the turn-away behavior only persists if I set it to something > 0.

I guess I found my workaround..

~0016592

Google_Frog (reporter)

I have another workaround: https://github.com/ZeroK-RTS/Zero-K/commit/91056be673f93fcb9600b744e90a0797ced0a61d

I post it because knowing what works to suppress the issue may lead to a fix.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-01 00:31 raaar New Issue
2016-08-01 00:32 raaar Note Added: 0016589
2016-08-01 02:13 raaar Note Added: 0016590
2016-08-01 02:14 raaar Note Edited: 0016590 View Revisions
2016-08-01 02:14 raaar Note Edited: 0016590 View Revisions
2016-08-01 02:31 raaar Note Added: 0016591
2016-08-01 18:20 Google_Frog Note Added: 0016592
2018-11-27 17:06 Kloot Assigned To => Kloot
2018-11-27 17:06 Kloot Status new => resolved
2018-11-27 17:06 Kloot Resolution open => fixed
2018-11-27 17:06 Kloot Fixed in Version => 104.0 +git
+Issue History